Eye.config do
  logger '/tmp/eye.log'
end

def process_global_app(proxy)
  proxy.trigger :flapping, times: 3, within: 10.seconds, retry_in: 10.minutes
  proxy.check :cpu, every: 10.seconds, below: 80, times: 3 # global check for all processes
  proxy.chain grace: 5.seconds

  proxy.start_timeout 20.seconds
  proxy.start_grace 20.seconds
  proxy.stop_timeout 5.seconds
  proxy.restart_grace 20.seconds
  proxy.check_alive_period 1
  proxy.use_leaf_child true

  proxy.stop_signals [:QUIT, 3.seconds, :TERM, 2.seconds, :KILL]
  proxy.auto_start false

end