def process_puma(proxy, workers: 2, threads: 8, cpu: 50, memory: 300)
  proxy.process :puma do
    env 'THREADS' => threads,
        'WORKERS' => workers

    daemonize true
    pid_file "tmp/pids/puma.pid"
    start_command "bundle exec puma -C config/puma.conf.rb --daemon"
    restart_command "bundle exec pumactl -S tmp/pids/puma.state -F config/puma.conf.rb phased-restart"
    stdall 'log/puma.log'
    
    monitor_children do
      check :memory, below: memory, times: 3
      check :cpu, below: cpu, times: 3
    end
  end
end