def process_worker(proxy, pool: {default: 8})
  pool.map { |k, v| Array.new(v, k) }.flatten.each_with_index do |queue_name, index|
    n = index + 1
    proxy.process "worker_#{n}" do
      daemonize true
      pid_file "tmp/pids/worker#{n}.pid"
      stdall 'log/resque.log'

      env 'PIDFILE' => "tmp/pids/worker#{n}.pid",
          'QUEUE' => "@#{queue_name}",
          'TERM_CHILD' => n,
          'RESQUE_TERM_TIMEOUT' => 10,
          'BACKGROUND' => 'yes',
          'INTERVAL' => 0.2

      start_command 'bundle exec rake environment resque:work --trace'

      monitor_children
    end
  end
end
